> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcespublish

> This operation publishes those resources which match the resource view criteria argument
to the Forum indicated by Forum SYSID.

This operation requires a **ResourcePublisherRequest**

The requesting User must have the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/publish
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/publish:
    post:
      tags:
        - ResourceService
      description: >-
        This operation publishes those resources which match the resource view
        criteria argument

        to the Forum indicated by Forum SYSID.


        This operation requires a **ResourcePublisherRequest**


        The requesting User must have the following rights to perform this task:
      operationId: publishResources
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidForum: 12345
                  criteria:
                    distanceUnit: kilometers
                    sysidResources:
                      - 12345
                      - 12345
                    sysidLocationMapImages:
                      - 12345
                      - 12345
                    latitude: 12345
                    oredSysidResources:
                      - 12345
                      - 12345
                    resourceName: ...
                    sortColumn: CATEGORY
                    sysidStatuses:
                      - 12345
                      - 12345
                    venueName: ...
                    priceRange:
                      fromPrice: 12345
                      sysidCostUnitType: 12345
                      sysidCurrencyType: 12345
                      toPrice: 12345
                    sysidAccount: 12345
                    sysidLocatorNodes:
                      - 12345
                      - 12345
                    distance: 12345
                    longitude: 12345
                    sysidDepartments:
                      - 12345
                      - 12345
                    sysidUserAlloc: 12345
                    sysidAllocRelationships:
                      - 12345
                      - 12345
                    viewport:
                      southwest: {}
                      northeast: {}
                    sysidCategories:
                      - 12345
                      - 12345
                    sysidResourceTypes:
                      - 12345
                      - 12345
                    exactMatchOnName: true
                    sortAscending: true
                    startRow: 12345
                    maxRows: 12345
            schema:
              $ref: '#/components/schemas/ResourcePublisherRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: string
          description: Respone 200 OK on success
components:
  schemas:
    ResourcePublisherRequest:
      type: object
      title: ResourcePublisherRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidForum:
              type: integer
              format: int32
            criteria:
              $ref: '#/components/schemas/ResourceViewCriteria'
      example:
        sysidForum: 12345
        criteria:
          distanceUnit: kilometers
          sysidResources:
            - 12345
            - 12345
          sysidLocationMapImages:
            - 12345
            - 12345
          latitude: 12345
          oredSysidResources:
            - 12345
            - 12345
          resourceName: ...
          sortColumn: RESOURCE_TYPE
          sysidStatuses:
            - 12345
            - 12345
          venueName: ...
          priceRange:
            fromPrice: 12345
            sysidCostUnitType: 12345
            sysidCurrencyType: 12345
            toPrice: 12345
          sysidAccount: 12345
          sysidLocatorNodes:
            - 12345
            - 12345
          distance: 12345
          longitude: 12345
          sysidDepartments:
            - 12345
            - 12345
          sysidUserAlloc: 12345
          sysidAllocRelationships:
            - 12345
            - 12345
          viewport:
            southwest: {}
            northeast: {}
          sysidCategories:
            - 12345
            - 12345
          sysidResourceTypes:
            - 12345
            - 12345
          exactMatchOnName: true
          sortAscending: true
          startRow: 12345
          maxRows: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ResourceViewCriteria:
      type: object
      title: ResourceViewCriteria
      required:
        - exactMatchOnName
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidResources:
              type: array
              items:
                type: integer
            sysidLocationMapImages:
              type: array
              items:
                type: integer
            latitude:
              type: number
            oredSysidResources:
              type: array
              items:
                type: integer
            resourceName:
              type: string
            sortColumn:
              $ref: '#/components/schemas/ResourceViewSortColumns'
            sysidStatuses:
              type: array
              items:
                type: integer
            venueName:
              type: string
            priceRange:
              $ref: '#/components/schemas/PriceRangeData'
            sysidAccount:
              type: integer
              format: int32
            sysidLocatorNodes:
              type: array
              items:
                type: integer
            distance:
              type: integer
              format: int32
            longitude:
              type: number
            sysidDepartments:
              type: array
              items:
                type: integer
            sysidUserAlloc:
              type: integer
              format: int32
            sysidAllocRelationships:
              type: array
              items:
                type: integer
            viewport:
              $ref: '#/components/schemas/Viewport'
            sysidCategories:
              type: array
              items:
                type: integer
            sysidResourceTypes:
              type: array
              items:
                type: integer
            exactMatchOnName:
              type: boolean
            sortAscending:
              type: boolean
      example:
        distanceUnit: kilometers
        sysidResources:
          - 12345
          - 12345
        sysidLocationMapImages:
          - 12345
          - 12345
        latitude: 12345
        oredSysidResources:
          - 12345
          - 12345
        resourceName: ...
        sortColumn: PRICE
        sysidStatuses:
          - 12345
          - 12345
        venueName: ...
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidAccount: 12345
        sysidLocatorNodes:
          - 12345
          - 12345
        distance: 12345
        longitude: 12345
        sysidDepartments:
          - 12345
          - 12345
        sysidUserAlloc: 12345
        sysidAllocRelationships:
          - 12345
          - 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        sysidCategories:
          - 12345
          - 12345
        sysidResourceTypes:
          - 12345
          - 12345
        exactMatchOnName: true
        sortAscending: true
        startRow: 12345
        maxRows: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    ResourceViewSortColumns:
      type: string
      title: ResourceViewSortColumns
      enum:
        - RESOURCE_NAME
        - CATEGORY
        - RESOURCE_TYPE
        - STATUS
        - PRICE
    PriceRangeData:
      type: object
      title: PriceRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            fromPrice:
              type: number
            sysidCostUnitType:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            toPrice:
              type: number
      example:
        fromPrice: 12345
        sysidCostUnitType: 12345
        sysidCurrencyType: 12345
        toPrice: 12345
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345

````